=== debian/changelog ===
iproute (961225-2) unstable frozen; urgency=low

  * Added a man page for iproute. (Fixes #8080).
  * Removed out-of-date patches.
  * Added routing.txt from /usr/src/linux/Documentation/networking/routing.txt
  * Newer version of debmake.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Mon, 17 Apr 1997 17:00:36 +0100

iproute (961225-1) unstable; urgency=low

  * Initial Release.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Mon, 30 Dec 1996 11:12:23 +0000

Local variables:
mode: debian-changelog
End:
