=== debian/control ===
Source: iproute
Section: net
Priority: extra
Maintainer: Tom Lees <tom@lpsg.demon.co.uk>
Standards-Version: 2.1.2.2

Package: iproute
Architecture: i386
Depends: ${shlibs:Depends}
Description: Utility to control the policy-based routing in 2.1 kernels
 This package contains the `iproute' utility, for controlling the policy-based
 routing support found in newer 2.1 kernels, plus the `delta' patches against
 the 2.1.17 kernel (which are installed in /usr/doc/net).
