=== ip/Makefile ===
IPOBJ=ip.o ifaconf.o iproute.o iprule.o \
    rtm_map.o iptunnel.o ipneigh.o iplink.o \
    ipmonitor.o

RTMONOBJ=rtmon.o

ALLOBJ=$(IPOBJ) $(ADDOBJ) $(RTOBJ)

all: ip rtmon

ip: $(IPOBJ) $(LIBNETLINK) $(LIBUTIL)

rtmon: $(RTMONOBJ) $(LIBNETLINK)

clean:
	rm -f $(IPOBJ) $(RTMONOBJ) ip rtmon
