=== lib/Makefile ===

UTILOBJ=utils.o 

NLOBJ=ll_map.o libnetlink.o

all: libnetlink.a libutil.a

libnetlink.a: $(NLOBJ)
	ar rcs $@ $(NLOBJ)

libutil.a: $(UTILOBJ) $(ADDLIB)
	ar rcs $@ $(UTILOBJ) $(ADDLIB)

clean:
	rm -f $(NLOBJ) $(UTILOBJ) $(ADDLIB) libnetlink.a libutil.a
