=== tc/Makefile ===
TCOBJ=tc.o tc_qdisc.o tc_class.o tc_filter.o tc_util.o m_police.o

TCMODULES :=
TCMODULES += q_fifo.o
TCMODULES += q_sfq.o
TCMODULES += q_red.o
TCMODULES += q_prio.o
TCMODULES += q_tbf.o
TCMODULES += q_cbq.o
TCMODULES += f_rsvp.o
TCMODULES += f_u32.o
#TCMODULES += q_csz.o
#TCMODULES += q_hpfq.o
#TCMODULES += q_hfsc.o

TCOBJ += $(TCMODULES)

TCLIB := tc_core.o
TCLIB += tc_red.o
TCLIB += tc_cbq.o
TCLIB += tc_estimator.o

LDLIBS += -L. -ltc -lm -ldl
LDFLAGS += -Wl,-export-dynamic

all: libtc.a tc

tc: $(TCOBJ) $(LIBNETLINK) $(LIBUTIL) $(TCLIB)

libtc.a: $(TCLIB)
	ar rcs $@ $(TCLIB)

clean:
	rm -f $(TCOBJ) $(TCLIB) tc
