=== tc/Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
-TCOBJ=tc.o tc_qdisc.o tc_class.o tc_filter.o tc_util.o m_police.o
+TCOBJ=tc.o tc_qdisc.o tc_class.o tc_filter.o tc_util.o m_police.o m_estimator.o
+
+include ../Config
 
 TCMODULES :=
 TCMODULES += q_fifo.o
@@ -9,6 +11,15 @@
 TCMODULES += q_cbq.o
 TCMODULES += f_rsvp.o
 TCMODULES += f_u32.o
+TCMODULES += f_route.o
+TCMODULES += f_fw.o
+ifeq ($(TC_CONFIG_DIFFSERV),y)
+  TCMODULES += q_dsmark.o
+  TCMODULES += q_gred.o
+  TCMODULES += f_tcindex.o
+  TCMODULES += q_ingress.o
+endif
+
 #TCMODULES += q_csz.o
 #TCMODULES += q_hpfq.o
 #TCMODULES += q_hfsc.o
@@ -31,5 +42,5 @@
 	ar rcs $@ $(TCLIB)
 
 clean:
-	rm -f $(TCOBJ) $(TCLIB) tc
+	rm -f $(TCOBJ) $(TCLIB) libtc.a tc
