=== lib/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-UTILOBJ=utils.o 
+UTILOBJ=utils.o rt_names.o ll_types.o ll_proto.o ll_addr.o inet_proto.o
 
 NLOBJ=ll_map.o libnetlink.o
