=== tc/Makefile ===
--- 
+++ 
@@ -18,6 +18,10 @@
   TCMODULES += q_gred.o
   TCMODULES += f_tcindex.o
   TCMODULES += q_ingress.o
+endif
+ifeq ($(TC_CONFIG_ATM),y)
+  TCMODULES += q_atm.o
+  LDLIBS += -latm
 endif
 
 #TCMODULES += q_csz.o
