=== doc/Makefile ===
--- 
+++ 
@@ -14,7 +14,6 @@
 PAGESPERPAGE=2
 
 HTMLFILES=$(subst .sgml,.html,$(shell echo *.sgml))
-TXTFILES=$(subst .sgml,.txt,$(shell echo *.sgml))
 DVIFILES=$(subst .ps,.dvi,$(PSFILES))
 
 
@@ -25,8 +24,6 @@
 html: $(HTMLFILES)
 
 dvi: $(DVIFILES)
-
-txt: $(TXTFILES)
 
 print: $(PSFILES)
 	$(LPR) $(PSFILES)
@@ -50,13 +47,9 @@
 %.html: %.sgml
 	$(SGML2HTML) $<
 
-%.txt: %.html
-	lynx -nolist -dump $< > $@
-		
-
 install:
 	install -m 0644 $(shell echo *.tex) $(DESTDIR)$(DOCDIR)
 	install -m 0644 $(shell echo *.sgml) $(DESTDIR)$(DOCDIR)
 
 clean:
-	rm -f *.aux *.log *.toc $(PSFILES) $(DVIFILES) *.html $(TXTFILES)
+	rm -f *.aux *.log *.toc $(PSFILES) $(DVIFILES) *.html
