=== misc/Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
 SSOBJ=ss.o ssfilter.o
 LNSTATOBJ=lnstat.o lnstat_util.o
 
-#TARGETS=ss nstat ifstat rtacct arpd lnstat
-TARGETS=ss nstat rtacct lnstat arpd
+TARGETS=ss nstat ifstat rtacct arpd lnstat
 
 include ../Config
