## iproute 20080417

=== Makefile ===
--- 
+++ 
@@ -59,6 +59,10 @@
 	install -m 0755 -d $(DESTDIR)$(MANDIR)/man3
 	install -m 0644 $(shell find man/man3 -maxdepth 1 -type f) $(DESTDIR)$(MANDIR)/man3
 
+snapshot:
+	echo "static const char SNAPSHOT[] = \""`date +%y%m%d`"\";" \
+		> include/SNAPSHOT.h
+
 clean:
 	rm -f cscope.*
 	@for i in $(SUBDIRS) doc; \
