## iproute 20110315

=== debian/changelog ===
iproute (20110315-1build1) oneiric; urgency=low

  * Rebuild for libdb5.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jun 2011 17:46:01 +0100

iproute (20110315-1) unstable; urgency=low

  * Imported Upstream version 2.6.38 (snapshot 20110315)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 07 Apr 2011 13:26:51 +0200

iproute (20110107-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 07 Feb 2011 11:10:01 +0100

iproute (20110107-1) experimental; urgency=low

  * Imported Upstream version 2.6.35 (snapshot 20100804)

    Changes since last release (2.6.34):

    Andreas Henriksson (1):
          tc: make symbols loaded from tc action modules global.

    Arnd Hannemann (1):
          iproute2: Add dsfield as alias for tos for ip rules

    Ben Greear (1):
          iproute2: Fix batch-mode for mrules.

    Jan Engelhardt (1):
          Add IFLA_STATS64 support

    Mike Frysinger (3):
          tc: revert "echo" in install target
          dnet: fix strict aliasing warnings
          netem: fix installs of dist files

    Patrick McHardy (1):
          ip: add support for multicast rules

    Petr Lautrbach (1):
          iproute: fix tc generating ipv6 priority filter

    Stephen Hemminger (5):
          Update kernel derived headers
          Update ARP header type table
          Fix NULL pointer reference when using basic match
          Fix byte order of ether address match for u32
          snapshot 100804

    Steve Fink (1):
          ss -p is much too slow

    Ulrich Weber (3):
          iproute2: filter routing entries based on clone flag
          iproute2: use get_user_hz() for IPv6 print_route
          iproute2: use int instead of long for RTAX_HOPLIMIT compare

  * debian/source/format: use 3.0 (quilt)
  * debian/patches: convert from dpatch to quilt style
  * debian/patches/*.diff: refresh and use DEP-3 description
  * debian/rules: drop dpatch usage.
  * debian/control: drop dpatch build dependency.
  * debian/README.source: replace with /usr/share/doc/quilt/README.source
    - could have been dropped since we only use dpkg standard features...

  * Update .gitignore
  * debian/patches/fix-ip-route-get.diff: fix failing route matching.
  * debian/copyright: Update download location
  * packaging: automatically unapply patches after build
  * packaging: ignore if stamp-build and stamp-doc doesn't exist on
    clean
  * packaging: clean up generated txt docs when cleaning unpatched
  * packaging: bump debhelper compatibility and dependency to v8
  * packaging: switch debian/rules to dh
  * debian/control: bump to policy 3.9.1
  * remove manual symlinking of manpages

  * Imported Upstream version 2.6.37 (snapshot 20110107)

    Changes since last release (2.6.35):

    Andreas Schwab (1):
          iproute2: remove useless use of buffer

    Ben Greear (2):
          iproute2: Fix filtering related to flushing IP addresses.
          Allow 'ip addr flush' to loop more than 10 times

    Changli Gao (1):
          iproute2: tc: f_flow: add key rxhash

    Dan Smith (1):
          Add ip route save/restore

    Eric Dumazet (2):
          ip: add RTA_MARK support
          iproute2: add 64bit support to ifstat

    Gerrit Renker (1):
          tc-red: typo in man page

    Gregoire Baron (1):
          tc: add ACT_CSUM action support (csum)

    Mike Frysinger (1):
          m_xt: stop using xtables_set_revision()

    Octavian Purdila (1):
          iproute2: initialize the ll_map only once

    Petr Sabata (3):
          ss(8) improvements by Jiri Popelka <jpopelka@redhat.com>
          ss: Change "do now" to "do not" in ss(8), -n option
          ip: Few typo and grammar errors fixes for ip(8) manpage

    Sridhar Samudrala (1):
          Support 'mode' parameter when creating macvtap device

    Stephen Hemminger (11):
          Snapshot for 2.6.35.1
          Update kernel headers to 2.6.36-rc2
          Use correct rt_link_statistics
          Fix GRED options clearing
          Update to 2.6.36 headers
          Workaround for repeated distclean
          Use standard routines for interface name to index etc
          Increase size of ifindex hash heads
          Cleanup ll_map
          Update to 2.6.37-rc8 headers
          v2.6.37

    Timo Teräs (2):
          iproute2: treat gre key as number
          iproute2: support xfrm upper protocol gre key

    Ulrich Weber (2):
          iproute2: dont filter cached routes on iproute_get
          iproute2: display xfrm socket policy direction

  * Revert "debian/patches/fix-ip-route-get.diff" - fixed upstream.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Jan 2011 10:56:53 +0100

iproute (20100519-3) unstable; urgency=low

  [ Alexander Wirt ]
  * Add README.source 

  [ Andreas Henriksson ]
  * tc: make symbols loaded from tc action modules global. (Closes: #584898)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 06 Jul 2010 12:02:39 +0200

iproute (20100519-2) unstable; urgency=low

  * Describe upstream changes between v2.6.33..v2.6.34 in debian
    changelog. (Closes: #582667)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 May 2010 11:22:20 +0200

iproute (20100519-1) unstable; urgency=low

  * New upstream release.
    + Detect 6rd kernel missing support / 6rd tunnel scope
    + iproute2: detect iptables modules dir in configure.
    + iproute2: add option to build m_xt as a tc module (v3)
    + fix build issues with flex ver 2.5
    + ip: document initcwnd
    + iproute2: rework SR-IOV VF support
    + Add 'ip tuntap' support.
    + iproute2: fix addrlabel interface names handling
    + tc: add new queue discipline: head drop fifo
    + xfrm: policy by mark
    + xfrm: Introduce xfrm by mark
    + xfrm: add support for SA by mark
    + ip: correctly report tunnel link type
    + Continue after errors in -batch
    + Update headers for 2.6.33-net-next
    + Fix line numbering on batch commands
    + Workaround missing ALIGN() macro

