=== debian/control ===
Source: iproute
Section: net
Priority: optional
Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Alexander Wirt <formorer@debian.org>
Homepage: http://www.linux-foundation.org/en/Net:Iproute2
Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
Vcs-Git: git://git.debian.org/git/collab-maint/pkg-iproute.git
Standards-Version: 3.9.1
Build-Depends: texlive-latex-base,
               texlive-latex-recommended,
               iptables-dev,
               libatm1-dev,
               libdb-dev,
               linuxdoc-tools,
               linux-libc-dev,
               debhelper (>= 8),
               lynx | lynx-cur,
               bison,
               flex

Package: iproute
Priority: important
Architecture: any
Provides: arpd
Conflicts: arpd
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libatm1
Suggests: iproute-doc
Description: networking and traffic control tools
 The iproute suite, also known as iproute2, is a collection of
 utilities for networking and traffic control.
 .
 These tools communicate with the Linux kernel via the (rt)netlink
 interface, providing advanced features not available through the
 legacy net-tools commands 'ifconfig' and 'route'.

Package: iproute-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: networking and traffic control tools - documentation
 The iproute suite, also known as iproute2, is a collection of
 utilities for networking and traffic control.
 .
 This package contains the documentation for iproute.

Package: iproute-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: networking and traffic control tools - development files
 The iproute suite, also known as iproute2, is a collection of
 utilities for networking and traffic control.
 .
 This package contains the header files and static libraries for
 compiling iproute extensions, and is needed only for development.
