=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean
	make distclean
	-rm -f tc/q_wrr.o
	-rm -f doc/*.txt

override_dh_installexamples:
	dh_installexamples -p iproute-doc examples/*

override_dh_shlibdeps:
	dh_shlibdeps -a -Xq_atm.so -Xm_xt.so -Xm_ipt.so


override_dh_auto_build:
	$(MAKE) -C doc all txt
	$(MAKE) KERNEL_INCLUDE=./include
