## iproute 20111117

=== debian/changelog ===
iproute (20111117-1maemo1) fremantle; urgency=low

  * Backport package from Ubuntu 12.04 to Maemo 5

 -- Pali Rohár <pali.rohar@gmail.com>  Sun,  4 Jun 2012 01:42:57 +0100

iproute (20111117-1ubuntu2) precise; urgency=low

  * Add cross-building support (LP: #870197).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Apr 2012 01:06:40 +0100

iproute (20111117-1ubuntu1) precise; urgency=low

  * Mark iproute as Multi-Arch: foreign to allow for isc-dhcp-client
    to be installable with multi-arch (needed for armhf containers on x86)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 02 Feb 2012 17:13:04 -0500

iproute (20111117-1) unstable; urgency=low

  * Imported Upstream version 3.1.0 (aka snapshot 20111117)
  * Update download location in debian/copyright
    - tarballs now available from kernel.org
  * Drop debian/patches/xt-v6.diff, fixed upstream.
  * Refresh patches: debian/patches/moo.diff and txtdocs.diff

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Nov 2011 22:15:38 +0100

iproute (20110629-1) unstable; urgency=low

  [ Alexander Wirt ]
  * Install ss to /bin instead of /sbin.

  [ Andreas Henriksson ]
  * Imported Upstream version 2.6.39 (aka snapshot 20110629)
    - tc filter: fix dport/sport in pretty print output (Closes: #627312)
  * Finally drop the patch adding the wrr qdisc scheduler to tc
  * Fix txtdocs patch to apply again
  * Add patch to build against xtables version 6

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 04 Jul 2011 17:29:04 +0200
