=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: iproute
 Section: net
 Priority: optional
-Maintainer: Pali Rohár <pali.rohar@gmail.com>
-XSBC-Original-Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
+Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Alexander Wirt <formorer@debian.org>
 Homepage: http://www.linux-foundation.org/en/Net:Iproute2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
 Vcs-Git: git://git.debian.org/git/collab-maint/pkg-iproute.git
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: texlive-latex-base,
                texlive-latex-recommended,
                iptables-dev,
-#               libatm1-dev,
+               libatm1-dev,
                libdb-dev,
                linuxdoc-tools,
-#               linux-libc-dev,
-#               debhelper (>= 8),
-               debhelper,
-#               lynx | lynx-cur,
+               linux-libc-dev,
+               debhelper (>= 8),
+               lynx | lynx-cur,
                bison,
                flex
 
@@ -29,7 +27,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libatm1
 Suggests: iproute-doc
-Multi-Arch: foreign
 Description: networking and traffic control tools
  The iproute suite, also known as iproute2, is a collection of
  utilities for networking and traffic control.
