=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                linux-libc-dev,
                debhelper (>= 8),
                lynx | lynx-cur,
+               pkg-config,
                bison,
                flex
