## iproute 20120521

=== doc/Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 HTMLFILES=$(subst .sgml,.html,$(shell echo *.sgml))
 DVIFILES=$(subst .ps,.dvi,$(PSFILES))
+PDFFILES=$(subst .ps,.pdf,$(PSFILES))
 
 
 all: pstwocol
@@ -24,6 +25,8 @@
 html: $(HTMLFILES)
 
 dvi: $(DVIFILES)
+
+pdf: $(PDFFILES)
 
 print: $(PSFILES)
 	$(LPR) $(PSFILES)
@@ -41,6 +44,11 @@
 		echo "Re-running LaTeX $<, $${pass}d pass"; pass=$$[$$pass + 1]; \
 	done
 
+#%.pdf: %.tex
+#	pdflatex $<
+%.pdf: %.ps
+	ps2pdf $<
+
 %.ps: %.dvi
 	$(DVIPS) $< -o $@
