=== debian/changelog ===
iproute (20120521-3ubuntu1.1) quantal; urgency=low

  * Fix ip netns delete failures. (LP: #1238981)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Tue, 15 Oct 2013 14:50:24 -0500

iproute (20120521-3ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add cross-building support.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Jun 2012 14:47:02 +0100

iproute (20120521-3) unstable; urgency=low

  [ Helmut Grohne ]
  * Mark iproute as Multi-Arch: foreign. (Closes: #676175)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 21 Jun 2012 12:33:31 +0200

iproute (20120521-2) unstable; urgency=low

  * Revert "Apply hardening build flags"
    - hardening simply breaks iproute2 in too many ways.
    (Closes: #674730, #674847) (Reopens: #672828)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 May 2012 12:31:29 +0200

iproute (20120521-1) unstable; urgency=low

  * Imported Upstream version 3.4 (aka snapshot 20120521)
    - trivial fix of ip link syntax in manpage (Closes: #673171)
  * Apply hardening build flags (Closes: #672828)
  * debian/iproute.manpages: fix path to manpages.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 May 2012 14:21:27 +0200

iproute (20120319-1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mark iproute as Multi-Arch: foreign.
    - Add cross-building support.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 May 2012 14:10:07 +0100
