=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iproute
 Section: net
 Priority: optional
-Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Alexander Wirt <formorer@debian.org>
 Homepage: http://www.linux-foundation.org/en/Net:Iproute2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
@@ -28,6 +29,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libatm1
 Suggests: iproute-doc
+Multi-Arch: foreign
 Description: networking and traffic control tools
  The iproute suite, also known as iproute2, is a collection of
  utilities for networking and traffic control.
