=== debian/rules ===
--- 
+++ 
@@ -28,4 +28,5 @@
 	$(CROSS) dh_auto_configure
 
 override_dh_auto_build:
+	$(MAKE) -C doc all txt
 	$(MAKE) KERNEL_INCLUDE=./include $(CROSS)
