## iproute 20121211

=== debian/changelog ===
iproute (20121211-2) experimental; urgency=low

  [ Kamal Mostafa ]
  * Enable cross-compile support in debian/rules

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Dec 2012 12:29:03 +0100

iproute (20121211-1) experimental; urgency=low

  * Imported Upstream version 3.7.0 (aka. snapshot 20121211)
  * Revert "List interfaces without net address by default"
    - patch from upstream now part of latest release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Dec 2012 11:59:52 +0100

iproute (20121001-2) experimental; urgency=low

  * Generate recommends for optional module dependencies
    This makes the optional module dependency on libxtables more
    visible, to hopefully get iproute rebuilt whenever libxtables
    bumps soname.
    Thanks to iptables maintainer for splitting libxtables9 into
    a separate package in version 1.4.16.3-2.
  * 0001-iproute2-List-interfaces-without-net-address-by-defa.patch:
    List interfaces without net address by default.
    This fixes regression in iproute2-3.5.1 when `ip addr show' skipped
    interfaces without network layer address.
    Patch from upstream (git 7f747fd9377b8538ad).

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 09 Nov 2012 15:49:24 +0100

iproute (20121001-1) experimental; urgency=low

  * Imported Upstream version 3.6.0 (aka snapshot 20121001)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 02 Oct 2012 23:49:00 +0200

iproute (20120813-1) experimental; urgency=low

  * Add references to fixed bugs in changelog entry for 20120801-1
  * Fix download url in debian/copyright
  * Imported Upstream version 20120813

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 14 Aug 2012 17:11:20 +0200

iproute (20120801-1) experimental; urgency=low

  * Imported Upstream version 20120801 aka v3.5.0
    - includes new tc codel support (Closes: #675942)
    - support both del and delete in all cases (Closes: #673355)
    - manpage fixes from Bjarni Ingi Gislason (Closes: #674704, #674706)
  * debian/iproute.install: Install new bridge tool to /sbin

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 02 Aug 2012 02:03:07 +0200
