=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: iproute
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
+Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Alexander Wirt <formorer@debian.org>
 Homepage: http://www.linux-foundation.org/en/Net:Iproute2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
@@ -27,7 +26,7 @@
 Provides: arpd
 Conflicts: arpd
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libatm1
+Recommends: ${ipmods:Recommends}
 Suggests: iproute-doc
 Multi-Arch: foreign
 Description: networking and traffic control tools
